/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package arcgissamples.defensesolutions;

/** A simple "wrapping" array of symbol IDs used for demonstration purposes. */
class DemoSymbols
{
    public static String getSIC (int index)
    {
        if ( index < 0 )
            index *= -1;
        if ( index < s_symbols.length )
            return s_symbols[index];
        else
            return s_symbols[index % s_symbols.length];
    }


    public static int getSize() { return s_symbols.length; }


    private static String[] s_symbols = {
        "SFAPC----------",
        "SFAPCF---------",
        "SFAPCH---------",
        "SFAPCL---------",
        "SFAPM----------",
        "SFAPMF---------",
        "SFAPMFA--------",
        "SFAPMFB--------",
        "SFAPMFC--------",
        "SFAPMFCH-------",
        "SFAPMFCL-------",
        "SFAPMFCM-------",
        "SFAPMFD--------",
        "SFAPMFF--------",
        "SFAPMFFI-------",
        "SFAPMFH--------",
        "SFAPMFJ--------",
        "SFAPMFK--------",
        "SFAPMFL--------",
        "SFAPMFM--------"
    };
}
